@ECHO OFF
SET ROOT_FOLDER=C:\InetPub
SET APPCMD=%SYSTEMROOT%\System32\inetsrv\appcmd.exe

REM -- Check environment
IF %PROCESSOR_ARCHITECTURE% NEQ AMD64 (
	ECHO ERROR: This script must be run from 64-bit command prompt
	PAUSE
	EXIT /B 1
)
NET SESSION > NUL
IF %ERRORLEVEL% NEQ 0 (
	ECHO ERROR: This script must be run from elevated command prompt
	PAUSE
	EXIT /B 1
)

ECHO Creating hard links for configuration files...
mklink /H %SYSTEMROOT%\SysWOW64\inetsrv\config\administration.config %SYSTEMROOT%\System32\inetsrv\config\administration.config
mklink /H %SYSTEMROOT%\SysWOW64\inetsrv\config\applicationHost.config %SYSTEMROOT%\System32\inetsrv\config\applicationHost.config
mklink /H %SYSTEMROOT%\SysWOW64\inetsrv\config\redirection.config %SYSTEMROOT%\System32\inetsrv\config\redirection.config

ECHO Creating folders...
MKDIR %ROOT_FOLDER%\www.northwind.com
MKDIR %ROOT_FOLDER%\www.contoso.com
MKDIR %ROOT_FOLDER%\www.example.com
MKDIR %ROOT_FOLDER%\www1.example.com
MKDIR %ROOT_FOLDER%\www2.example.com
MKDIR %ROOT_FOLDER%\www3.example.com
MKDIR %ROOT_FOLDER%\www4.example.com
MKDIR %ROOT_FOLDER%\www5.example.com

ECHO Copying content...
COPY Default.aspx %ROOT_FOLDER%\www.northwind.com
COPY Default.aspx %ROOT_FOLDER%\www.contoso.com
COPY Default.aspx %ROOT_FOLDER%\www.example.com
COPY Default.aspx %ROOT_FOLDER%\www1.example.com
COPY Default.aspx %ROOT_FOLDER%\www2.example.com
COPY Default.aspx %ROOT_FOLDER%\www3.example.com
COPY Default.aspx %ROOT_FOLDER%\www4.example.com
COPY Default.aspx %ROOT_FOLDER%\www5.example.com

ECHO Creating web sites...
%APPCMD% ADD SITE /name:"www.northwind.com" /bindings:"http://www.northwind.com:80","http://northwind.com:80" /physicalPath:"%ROOT_FOLDER%\www.northwind.com"
%APPCMD% ADD SITE /name:"www.contoso.com" /bindings:"http://www.contoso.com:80","http://contoso.com:80" /physicalPath:"%ROOT_FOLDER%\www.contoso.com"
%APPCMD% ADD SITE /name:"www.example.com" /bindings:"http://www.example.com:80","http://example.com:80" /physicalPath:"%ROOT_FOLDER%\www.example.com"
%APPCMD% ADD SITE /name:"www1.example.com" /bindings:"http://www1.example.com:80" /physicalPath:"%ROOT_FOLDER%\www1.example.com"
%APPCMD% ADD SITE /name:"www2.example.com" /bindings:"http://www2.example.com:80" /physicalPath:"%ROOT_FOLDER%\www2.example.com"
%APPCMD% ADD SITE /name:"www3.example.com" /bindings:"http://www3.example.com:80" /physicalPath:"%ROOT_FOLDER%\www3.example.com"
%APPCMD% ADD SITE /name:"www4.example.com" /bindings:"http://www4.example.com:80" /physicalPath:"%ROOT_FOLDER%\www4.example.com"
%APPCMD% ADD SITE /name:"www5.example.com" /bindings:"http://www5.example.com:80" /physicalPath:"%ROOT_FOLDER%\www5.example.com"
